module Cats
  module Core
    class CurrenciesController < ApplicationController
      before_action :set_currency, only: %i[show update]

      def index
        data = ActiveModelSerializers::SerializableResource.new(Cats::Core::Currency.all)
        render json: { success: true, data: data }
      end

      def show
        data = ActiveModelSerializers::SerializableResource.new(@currency)
        render json: { success: true, data: data }
      end

      def create
        obj = Cats::Core::Currency.new(model_params)
        if obj.save
          data = ActiveModelSerializers::SerializableResource.new(obj)
          render json: { success: true, data: data }, status: :created
        else
          render json: { success: false, error: obj.errors.full_messages[0] }, status: :unprocessable_entity
        end
      end

      def update
        if @currency.update(model_params)
          data = ActiveModelSerializers::SerializableResource.new(@currency)
          render json: { success: true, data: data }
        else
          render json: { success: false, error: @currency.errors.full_messages[0] }, status: :unprocessable_entity
        end
      end

      private

      def set_currency
        @currency = Cats::Core::Currency.find(params[:id])
      end

      def model_params
        params.require(:payload).permit(:code, :name)
      end
    end
  end
end
