module Cats
  module Core
    class MenusController < ApplicationController
      before_action :set_service

      def index
        menu = @service.fetch_menu(current_user)
        data = ActiveModelSerializers::SerializableResource.new(menu, each_serializer: RoleMenuSerializer)
        render json: { success: true, data: data }
      end

      private

      def set_service
        @service = MenuService.new
      end
    end
  end
end
