module Cats
  module Core
    class NotificationsController < ApplicationController
      before_action :set_notification, only: %i[mark_as_read mark_as_unread]
      def index
        data = Notification.messages(current_user.notifications.newest_first)
        render json: { success: true, data: data }
      end

      def read
        data = Notification.messages(current_user.notifications.read.newest_first)
        render json: { success: true, data: data }
      end

      def unread
        data = Notification.messages(current_user.notifications.unread.newest_first)
        render json: { success: true, data: data }
      end

      def mark_as_read
        @notification.mark_as_read!
        render json: { success: true, data: @notification.message }
      end

      def mark_as_unread
        @notification.mark_as_unread!
        render json: { success: true, data: @notification.message }
      end

      private

      def set_notification
        @notification = Notification.find(params[:id])
      end
    end
  end
end
