module Cats
  module Core
    class RolesController < ApplicationController
      before_action :set_role, only: [:users]

      def users
        data = ActiveModelSerializers::SerializableResource.new(@role.users)
        render json: { success: true, data: data }
      end

      private

      def set_role
        @role = Role.find_by(name: params[:name])
      end
    end
  end
end
