module Cats
  module Core
    class UsersController < ApplicationController
      before_action :set_user, only: %i[stores warehouses]

      def stores
        data = ActiveModelSerializers::SerializableResource.new(@user.stores)
        render json: { success: true, data: data }
      end

      def warehouses
        data = ActiveModelSerializers::SerializableResource.new(@user.warehouses)
        render json: { success: true, data: data }
      end

      private

      def set_user
        @user = User.find(params[:id])
      end
    end
  end
end
