module Cats
  module Core
    class Allocation < ApplicationRecord
      belongs_to :rhn_request, optional: true
      belongs_to :commodity
      belongs_to :source, class_name: 'Cats::Core::Location'

      validates :commodity_status, presence: true
      validates :reference_no, presence: true, uniqueness: true
      validates :quantity, presence: true, numericality: { greater_than: 0 }
      validates :commodity_status, inclusion: { in: Cats::Core::Commodity::COMMODITY_STATUSES }

      delegate(:reference_no, to: :rhn_request, prefix: :rhn, allow_nil: true)
      delegate(:batch_no, to: :commodity, prefix: true)
      delegate(:name, to: :source, prefix: true)
      delegate(:location_type, to: :source, prefix: true)
    end
  end
end
