module Cats
  module Core
    class Dispatch < ApplicationRecord
      belongs_to :prepared_by, class_name: 'Cats::Core::User'
      belongs_to :transporter
      belongs_to :allocation_item

      validates :reference_no, :plate_no, :driver_name, :driver_phone, :quantity, :commodity_status, presence: true
      validates :reference_no, uniqueness: true
      validates :quantity, numericality: { greater_than: 0 }
      validates :commodity_status, inclusion: { in: Cats::Core::Commodity::COMMODITY_STATUSES }
    end
  end
end
