module Cats
  module Core
    class Hrp < ApplicationRecord
      DRAFT = 'Draft'.freeze
      APPROVED = 'Approved'.freeze
      STATUSES = [DRAFT, APPROVED].freeze

      BELG = 'Belg'.freeze
      MEHER = 'Meher'.freeze
      SEASONS = [BELG, MEHER].freeze

      belongs_to :ration
      has_many :hrp_items

      validates :reference_no, :year, :status, presence: true
      validates :season, presence: true, inclusion: { in: SEASONS }
      validates :reference_no, uniqueness: true
      validates :status, inclusion: { in: STATUSES }
    end
  end
end
