module Cats
  module Core
    class HrpItem < ApplicationRecord
      belongs_to :hrp
      belongs_to :woreda, -> { where(location_type: Cats::Core::Location::WOREDA) }, class_name: 'Cats::Core::Location'
      belongs_to :operator

      validates :beneficiaries, presence: true, numericality: { greater_than: 0 }
      validates :commodity_amount, presence: true, numericality: { greater_than: 0 }
      validates :hrp_id, uniqueness: { scope: :woreda_id }

      delegate(:name, to: :woreda, prefix: true)
      delegate(:name, to: :operator, prefix: true)
    end
  end
end
