module Cats
  module Core
    class Notification < ApplicationRecord
      include Noticed::Model

      belongs_to :recipient, polymorphic: true

      def message
        { id: id, read: !read_at.nil?, created_at: created_at }.merge(to_notification.message)
      end

      def self.messages(notifications)
        notifications.map(&:message)
      end
    end
  end
end
