module Cats
  module Core
    class Ration < ApplicationRecord
      belongs_to :program
      belongs_to :commodity_category

      validates :reference_no, :amount, presence: true
      validates :reference_no, uniqueness: true
      validates :amount, numericality: { greater_than: 0 }
    end
  end
end
