module Cats
  module Core
    class RoleMenu < ApplicationRecord
      belongs_to :role
      belongs_to :menu
      has_and_belongs_to_many :menu_items, join_table: :cats_core_role_menus_menu_items

      validate :validate_role_and_menu

      def validate_role_and_menu
        return unless role.present? && menu.present?

        return if role.application_module_id == menu.application_module.id

        errors.add(:base, 'Application module does not match for role and menu')
      end

      delegate(:label, to: :menu, prefix: false)
      delegate(:icon, to: :menu, prefix: false)
    end
  end
end
