module Cats
  module Core
    class StackingRule < ApplicationRecord
      validates :distance_from_wall, :space_between_stack, :distance_from_ceiling, :maximum_height, :maximum_length,
                :maximum_width, :distance_from_gangway, presence: true, numericality: { greater_than: 0 }
      validate :validate_only_a_record_exist

      def validate_only_a_record_exist
        return unless StackingRule.count > 1

        errors.add(:base,
                   'There is already a stacking rule entry. A new rule can not be added')
      end
    end
  end
end
