module Cats
  module Core
    class UnitOfMeasure < ApplicationRecord
      WEIGHT = 'Weight'.freeze
      VOLUME = 'Volume'.freeze
      ITEM = 'Item'.freeze
      UNIT_TYPES = [WEIGHT, VOLUME, ITEM].freeze

      validates :name, :abbreviation, presence: true, uniqueness: true
      validates :unit_type, presence: true, inclusion: { in: UNIT_TYPES }
    end
  end
end
