# This is a simple notification class which delivers a
# message via database delivery method. It requires a
# +body+ and +title+ parameter to instantiate, which represents the
# text message to deliver.
module Cats
  module Core
    class SimpleNotification < Noticed::Base
      deliver_by :database

      param :body
      param :title

      def message
        title = params[:title]
        body = params[:body]
        { title: title, body: body }
      end
    end
  end
end
