Cats::Core::Engine.routes.draw do
  get 'locations/index'
  get 'locations/children'
  post '/login', controller: :access, action: :login
  get '/notifications/unread', controller: :notifications, action: :unread
  get '/notifications/read', controller: :notifications, action: :read
  
  resources :menus, only: [:index]
  resources :notifications, only: [:index] do
    member do
      post 'mark_as_read', controller: :notifications, action: :mark_as_read
      post 'mark_as_unread', controller: :notifications, action: :mark_as_unread
    end
  end
  resources :roles, param: :name do
    member do
      get 'users', controller: :roles, action: :users
    end
  end
  resources :users do
    member do
      get 'stores', controller: :users, action: :stores
      get 'warehouses', controller: :users, action: :warehouses
    end
  end
  resources :locations, except: %i[destroy] do
    member do
      get 'children'
    end
  end
  resources :commodity_categories, except: %i[destroy] do
    member do
      get 'children'
    end
  end
  resources :currencies, except: %i[destroy]
  resources :unit_of_measures, except: %i[destroy]
end
