class CreateCatsCoreUsers < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_users do |t|
      t.string :first_name, null: false
      t.string :last_name, null: false
      t.string :email, unique: true
      t.boolean :active, null: false, default: true
      t.string :password_digest
      t.jsonb :details
      t.string :phone_number
      t.references :application_module,
                   null: false,
                   index: { name: 'am_on_users_indx' },
                   foreign_key: { to_table: :cats_core_application_modules }

      t.timestamps
    end
  end
end
