class CreateCatsCoreRoles < ActiveRecord::Migration[6.1]
  def change
    create_table(:cats_core_roles) do |t|
      t.string :name
      t.references :resource, :polymorphic => true
      t.references :application_module,
                   null: false,
                   index: { name: 'am_on_roles_indx' },
                   foreign_key: { to_table: :cats_core_application_modules }

      t.timestamps
    end

    create_table(:cats_core_users_cats_core_roles, :id => false) do |t|
      t.references :user,
                   null: false,
                   index: { name: 'user_on_ur_indx' },
                   foreign_key: { to_table: :cats_core_users } 
      t.references :role,
                   null: false,
                   index: { name: 'role_on_ur_indx' },
                   foreign_key: { to_table: :cats_core_roles }
    end
    
    add_index(:cats_core_roles, [ :name, :resource_type, :resource_id ])
    add_index(:cats_core_users_cats_core_roles, [ :user_id, :role_id ])
  end
end
