class CreateCatsCoreRations < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_rations do |t|
      t.string :reference_no, unique: true
      t.references :program,
                   null: false,
                   index: { name: 'program_on_ration_indx' },
                   foreign_key: { to_table: :cats_core_programs }
      t.references :commodity_category,
                   null: false,
                   index: { name: 'cc_on_ration_indx' },
                   foreign_key: { to_table: :cats_core_commodity_categories }
      t.float :amount, null: false
      t.boolean :current, null: false, default: true

      t.timestamps
    end
  end
end
