class CreateCatsCoreHrpItems < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_hrp_items do |t|
      t.references :hrp,
                   null: false,
                   index: { name: 'hrp_on_hrp_items_indx' },
                   foreign_key: { to_table: :cats_core_hrps }
      t.references :woreda,
                   null: false,
                   index: { name: 'woreda_on_hrp_items_idnx' },
                   foreign_key: { to_table: :cats_core_locations }
      t.integer :beneficiaries, null: false
      t.float :commodity_amount, null: false
      t.references :operator,
                   null: false,
                   index: { name: 'operator_on_hrp_items_indx' },
                   foreign_key: { to_table: :cats_core_operators }

      t.timestamps
    end

    add_index :cats_core_hrp_items, [:hrp_id, :woreda_id], unique: true
  end
end
