class CreateCatsCoreDonations < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_donations do |t|
      t.string :reference_no, unique: true
      t.string :donation_type, null: false
      t.date :donated_on, null: false
      t.references :donor,
                   null: false,
                   index: { name: 'donor_on_donation_indx' },
                   foreign_key: { to_table: :cats_core_donors }
      t.references :hrp,
                   null: false,
                   index: { name: 'hrp_on_donation_indx' },
                   foreign_key: { to_table: :cats_core_hrps }
      t.float :amount
      t.references :currency,
                   null: true,
                   index: { name: 'currency_on_donation_indx' },
                   foreign_key: { to_table: :cats_core_currencies }

      t.timestamps
    end
  end
end
