class CreateCatsCoreGiftCertificates < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_gift_certificates do |t|
      t.string :reference_no, unique: true
      t.date :gift_date, null: false

      t.references :donation,
                   null: false,
                   index: { name: 'gc_on_donation_indx' },
                   foreign_key: { to_table: :cats_core_donations }
      t.references :commodity_category,
                   null: false,
                   index: { name: 'gc_on_cc_indx' },
                   foreign_key: { to_table: :cats_core_commodity_categories }
      
      t.string :vessel
      t.string :port
      t.string :customs_declaration_no
      t.integer :purchase_year
      t.date :expiry_date
      t.string :bill_of_lading_no
      t.float :amount, null: false
      t.float :estimated_price
      t.float :estimated_tax

      t.timestamps
    end
  end
end
