class CreateCatsCorePurchaseOrders < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_purchase_orders do |t|
      t.string :reference_no, unique: true
      t.date :order_date, null: false
      t.string :requisition_no
      t.string :supplier, null: false

      t.references :donation,
                   null: false,
                   index: { name: 'po_on_donation_indx' },
                   foreign_key: { to_table: :cats_core_donations }
      t.references :commodity_category,
                   null: false,
                   index: { name: 'po_on_cc_indx' },
                   foreign_key: { to_table: :cats_core_commodity_categories }

      t.timestamps
    end
  end
end
