class CreateCatsCoreCommodities < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_commodities do |t|
      t.string :batch_no, unique: true
      t.references :unit_of_measure,
                   null: false,
                   index: { name: 'uom_on_commodities_indx' },
                   foreign_key: { to_table: :cats_core_unit_of_measures }
      t.references :commodity_category,
                   null: false,
                   index: { name: 'cc_on_commodities_indx' },
                   foreign_key: { to_table: :cats_core_commodity_categories }
      t.references :source, polymorphic: true
      t.float :quantity, null: false
      t.string :description
      t.date :best_use_before, null: false
      t.float :volume_per_metric_ton
      t.string :arrival_status, null: false, default: 'At Source'
      t.boolean :approved, null: false, default: false

      t.timestamps
    end
  end
end
