class CreateCatsCoreStores < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_stores do |t|
      t.string :name, null: false
      t.float :length, null: false
      t.float :width, null: false
      t.float :height, null: false
      t.boolean :temporary, null: false, default: false
      t.boolean :has_gangway, null: false, default: false
      t.float :gangway_length
      t.float :gangway_width
      t.float :gangway_corner_dist
      t.references :warehouse,
                   null: false,
                   index: { name: 'warehouse_on_stores_indx' },
                   foreign_key: { to_table: :cats_core_locations }
      t.references :store_keeper,
                   null: false,
                   index: { name: 'store_keeper_on_store_indx' },
                   foreign_key: { to_table: :cats_core_users }
      t.timestamps
    end
  end
end
