class CreateCatsCoreStacks < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_stacks do |t|
      t.string :code, unique: true
      t.float :length, null: false
      t.float :width, null: false
      t.float :height, null: false
      t.float :start_x, null: false
      t.float :start_y, null: false
      t.references :commodity,
                   null: false,
                   index: { name: 'commodity_on_stack_indx' },
                   foreign_key: { to_table: :cats_core_commodities }
      t.references :store,
                   null: false,
                   index: { name: 'store_on_stack_indx' },
                   foreign_key: { to_table: :cats_core_stores }
      t.string :commodity_status, null: false, default: 'Good'
      t.string :stack_status, null: false, default: 'Reserved'
      t.float :quantity, null: false, default: 0

      t.timestamps
    end
  end
end
