class CreateCatsCoreAllocations < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_allocations do |t|
      t.string :reference_no, unique: true
      t.references :rhn_request,
                   null: true,
                   index: { name: 'rr_on_allocation_indx' },
                   foreign_key: { to_table: :cats_core_rhn_requests }
      t.references :commodity,
                   null: false,
                   index: { name: 'ca_on_commodity_indx' },
                   foreign_key: { to_table: :cats_core_commodities }
      t.references :source,
                   null: false,
                   index: { name: 'ca_on_source_indx' },
                   foreign_key: { to_table: :cats_core_locations }
      t.float :quantity, null: false
      t.string :commodity_status, null: false, default: 'Good'
      t.string :remark

      t.timestamps
    end
  end
end
