class CreateCatsCoreDispatches < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_dispatches do |t|
      t.string :reference_no, unique: true
      t.references :allocation_item,
                   null: false,
                   index: { name: 'ai_on_dispatches_indx' },
                   foreign_key: { to_table: :cats_core_allocation_items }
      t.references :transporter,
                   null: false,
                   index: { name: 'transporter_on_dispatches_indx' },
                   foreign_key: { to_table: :cats_core_transporters }
      t.string :plate_no, null: false
      t.string :driver_name, null: false
      t.string :driver_phone, null: false
      t.float :quantity, null: false
      t.string :commodity_status, null: false, default: 'Good'
      t.string :remark
      t.references :prepared_by,
                   null: false,
                   index: { name: 'pb_on_dispatches_indx' },
                   foreign_key: { to_table: :cats_core_users }

      t.timestamps
    end
  end
end
