class CreateCatsCoreDispatchTransactions < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_dispatch_transactions do |t|
      t.references :source,
                   null: false,
                   index: { name: 'stack_on_dt_indx' },
                   foreign_key: { to_table: :cats_core_stacks }
      t.references :destination,
                   null: false,
                   index: { name: 'dispatch_on_dt_indx' },
                   foreign_key: { to_table: :cats_core_dispatches }
      t.date :transaction_date, null: false
      t.float :quantity, null: false
      t.string :status, null: false, default: 'Draft'

      t.timestamps
    end
  end
end
