class CreateCatsCoreReceipts < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_receipts do |t|
      t.references :dispatch,
                   null: false,
                   index: { name: 'dispatch_on_receipts_indx' },
                   foreign_key: { to_table: :cats_core_dispatches }
      t.float :quantity, null: false
      t.string :commodity_status, null: false, default: 'Good'
      t.string :status, null: false, default: 'Draft'
      t.string :remark
      t.references :prepared_by,
                   null: false,
                   index: { name: 'pb_on_receipts_indx' },
                   foreign_key: { to_table: :cats_core_users }

      t.timestamps
    end
  end
end
