class CreateCatsCoreStackTransactions < ActiveRecord::Migration[6.1]
  def change
    create_table :cats_core_stack_transactions do |t|
      t.references :source,
                   null: false,
                   index: { name: 'source_on_st_indx' },
                   foreign_key: { to_table: :cats_core_stacks }
      t.references :destination,
                   null: false,
                   index: { name: 'destination_on_st_indx' },
                   foreign_key: { to_table: :cats_core_stacks }
      t.date :transaction_date, null: false
      t.float :quantity, null: false
      t.string :status, null: false, default: 'Draft'

      t.timestamps
    end
  end
end
